Get Product Details By GTIN

This endpoint returns a Product's details using a code from the GTIN family of
product codes. NOTE: Not all products will have a GTIN.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

"GTIN describes a family of GS1 (EAN.UCC) global data structures that employ 14 digits and can be encoded into various types of data carriers." - GTIN.info
For this endpoint, we are specifically looking for GTIN-13 (EAN / UCC-13).

{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
            "productId": 0,
            "name": "string",
            "cleanName": "string",
            "imageUrl": "string",
            "categoryId": 0,
            "groupId": 0,
            "url": "string"
        }
    ]
}
/catalog/products/gtin/889698355100

{
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 182307,
            "name": "Harry Potter: Hedwig",
            "cleanName": "Harry Potter Hedwig",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/182307_200w.jpg",
            "categoryId": 29,
            "groupId": 1972,
            "url": "https://store.tcgplayer.com/funko/pop-vinyl/harry-potter-hedwig",
            "modifiedOn": "2018-12-20T15:44:11.603"
        }
    ]
}
Path Params
string
required

A product code from the GTIN family of codes for Product to be returned.

Query Params
boolean

If true, include additional category-specific information about the Product,
otherwise only return general product information. Default is false.

boolean

If true, include SKU details for the Product. Default is false.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

Product not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json